Package com.independentsoft.office.odf.styles

# Class SectionColumn

java.lang.Object
com.independentsoft.office.odf.styles.SectionColumn

public class SectionColumn extends Object
Represents formatting properties for a column.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionColumn()`
  Initializes a new instance of the SectionColumn class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SectionColumn`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Size`
  `getLeftSpace()`
  Gets the left space of a column.
  `Size`
  `getLowerSpace()`
  Gets the lower space of a column.
  `int`
  `getRelativeWidth()`
  Gets the width of a column.
  `Size`
  `getRightSpace()`
  Gets the right space of a column.
  `Size`
  `getUpperSpace()`
  Gets the upper space of a column.
  `void`
  `setLeftSpace​(Size leftSpace)`
  Sets the left space of a column.
  `void`
  `setLowerSpace​(Size lowerSpace)`
  Sets the lower space of a column.
  `void`
  `setRelativeWidth​(int relativeWidth)`
  Sets the width of a column.
  `void`
  `setRightSpace​(Size rightSpace)`
  Sets the right space of a column.
  `void`
  `setUpperSpace​(Size upperSpace)`
  Sets the upper space of a column.
  `String`
  `toString()`
  Converts the value of the current SectionColumn object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SectionColumn

    public SectionColumn()
    Initializes a new instance of the SectionColumn class.

- ## Method Details

  - ### clone

    public SectionColumn clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SectionColumn object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getRelativeWidth

    public int getRelativeWidth()
    Gets the width of a column.
    Returns:
      the relative width

  - ### setRelativeWidth

    public void setRelativeWidth​(int relativeWidth)
    Sets the width of a column.
    Parameters:
      `relativeWidth` - the new relative width

  - ### getLeftSpace

    public Size getLeftSpace()
    Gets the left space of a column.
    Returns:
      the left space

  - ### setLeftSpace

    public void setLeftSpace​(Size leftSpace)
    Sets the left space of a column.
    Parameters:
      `leftSpace` - the new left space

  - ### getRightSpace

    public Size getRightSpace()
    Gets the right space of a column.
    Returns:
      the right space

  - ### setRightSpace

    public void setRightSpace​(Size rightSpace)
    Sets the right space of a column.
    Parameters:
      `rightSpace` - the new right space

  - ### getUpperSpace

    public Size getUpperSpace()
    Gets the upper space of a column.
    Returns:
      the upper space

  - ### setUpperSpace

    public void setUpperSpace​(Size upperSpace)
    Sets the upper space of a column.
    Parameters:
      `upperSpace` - the new upper space

  - ### getLowerSpace

    public Size getLowerSpace()
    Gets the lower space of a column.
    Returns:
      the lower space

  - ### setLowerSpace

    public void setLowerSpace​(Size lowerSpace)
    Sets the lower space of a column.
    Parameters:
      `lowerSpace` - the new lower space